# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "jobcelis"
version = "1.2.1"
authors = ["Jobcelis <support@jobcelis.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Official Rust SDK for the Jobcelis Event Infrastructure Platform"
homepage = "https://jobcelis.com"
documentation = "https://docs.rs/jobcelis"
readme = "README.md"
keywords = [
    "jobcelis",
    "webhooks",
    "events",
    "sdk",
    "api",
]
categories = [
    "api-bindings",
    "web-programming::http-client",
]
license = "BUSL-1.1"
repository = "https://github.com/vladimirCeli/jobcelis-rust"

[lib]
name = "jobcelis"
path = "src/lib.rs"

[dependencies.base64]
version = "0.22"

[dependencies.hmac]
version = "0.12"

[dependencies.reqwest]
version = "0.12"
features = ["json"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.sha2]
version = "0.10"

[dependencies.subtle]
version = "2"

[dependencies.thiserror]
version = "2"
